- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions | Variables
- Ecore_Audio output object
Ecore_Audio - Convenience audio API

## Macros
#define | ECORE_AUDIO_OBJ_OUT_CLASS ecore_audio_obj_out_class_get()
| Ecore_Audio output object class.
#define | ECORE_AUDIO_OBJ_OUT_ID(sub_id) (ECORE_AUDIO_OBJ_OUT_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_Out_Sub_Ids, sub_id))
#define | ecore_audio_obj_out_input_attach(input, ret) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_ATTACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)
| Attach an input to an output. More...
#define | ecore_audio_obj_out_input_detach(input, ret) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_DETACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)
| Detach an input from an output. More...
#define | ecore_audio_obj_out_inputs_get(inputs) ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUTS_GET), EO_TYPECHECK(Eina_List **, inputs)
| Detach an input from an output. More...

## Enumerations
enum | Ecore_Audio_Obj_Out_Sub_Ids { ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_ATTACH, ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_DETACH, ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUTS_GET, ECORE_AUDIO_OBJ_OUT_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_out_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_OUT_BASE_ID

## Detailed Description

## Macro Definition Documentation

#define ecore_audio_obj_out_input_attach | ( |  | input,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_ATTACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)

Attach an input to an output.

Since
  1.8

Parameters

  [in] | input | The input to attach to the output
  [out] | ret | EINA_TRUE if the input was attached, EINA_FALSE otherwise

#define ecore_audio_obj_out_input_detach | ( |  | input,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUT_DETACH), EO_TYPECHECK(Eo *, input), EO_TYPECHECK(Eina_Bool *, ret)

Detach an input from an output.

Since
  1.8

Parameters

  [in] | input | The input to detach to the output
  [out] | ret | EINA_TRUE if the input was detached, EINA_FALSE otherwise

#define ecore_audio_obj_out_inputs_get | ( |  | inputs | ) | ECORE_AUDIO_OBJ_OUT_ID(ECORE_AUDIO_OBJ_OUT_SUB_ID_INPUTS_GET), EO_TYPECHECK(Eina_List **, inputs)

Detach an input from an output.

Since
  1.8

Parameters

  [out] | inputs | An Eina_List of the inputs that are attached to the output

## Function Documentation

const Eo_Class* ecore_audio_obj_out_class_get | ( |  | ) |

Get the Eo class ID.

Returns
  The Eo class ID